|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QPixmapCache

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QPixmapCache class reference

### Static Public Members

- QPixmap * find ( const QString & key ) `(obsolete)`

## Member Function Documentation

### QPixmap * QPixmapCache::find ( const QString & key ) `[static]`

This is an overloaded function.

Returns the pixmap associated with the key in the cache, or null if there is no such pixmap.

Warning: If valid, you should copy the pixmap immediately (this is fast). Subsequent insertions into the cache could cause the pointer to become invalid. For this reason, we recommend you use find(const QString&, QPixmap&) instead.

Example:

     QPixmap* pp;
     QPixmap p;
     if ((pp=QPixmapCache::find("my_big_image", pm))) {
         p = *pp;
     } else {
         p.load("bigimage.png");
         QPixmapCache::insert("my_big_image", new QPixmap(p));
     }
     painter->drawPixmap(0, 0, p);